import {
  VERSION
} from "./chunk-Z7BGWB5J.js";

// src/utils/cli-logger.ts
import pc from "picocolors";
var getTimestamp = () => {
  const now = /* @__PURE__ */ new Date();
  return now.toLocaleTimeString("en-US", { hour12: false });
};
var formatMessage = (tag, message, tagColor) => {
  return `${pc.dim(getTimestamp())} ${tagColor(`[${tag}]`)} ${message}`;
};
var logger = {
  welcome: () => {
    console.log();
    console.log(pc.magenta(pc.bold("\u{1F680} EventCatalog")) + pc.dim(`  (v${VERSION})`));
    console.log(pc.dim("https://eventcatalog.dev"));
    console.log();
    console.log(
      pc.dim("If you like the project, we would appreciate a star on GitHub \u2764\uFE0F - ") + pc.bold("https://github.com/event-catalog/eventcatalog/stargazers")
    );
    console.log();
  },
  info: (message, tag = "info") => {
    console.log(formatMessage(tag, message, pc.blue));
  },
  success: (message, tag = "success") => {
    console.log(formatMessage(tag, message, pc.green));
  },
  error: (message, tag = "error") => {
    console.log(formatMessage(tag, message, pc.red));
  },
  warning: (message, tag = "warn") => {
    console.log(formatMessage(tag, message, pc.yellow));
  },
  dim: (message) => {
    console.log(pc.dim(message));
  }
};

export {
  logger
};
